//
//  MapViewController.m
//  MBMapDemo
//
//  Created by 张嘉伟 on 11-10-12.
//  Copyright (c) 2011年 __MyCompanyName__. All rights reserved.
//

#import "MapViewController.h"

@implementation MapViewController

@synthesize barStyle, statusStyle, mapView, demoInfo ,functionBar;


- (id)initWithMapView:(MapView *)theMapView
{
    self = [super initWithNibName:nil bundle:nil];
    if (self) {
        self.mapView = theMapView;
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
}
*/

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    //clear map
    MapView *myMapView = self.mapView;
    myMapView.frame = CGRectMake(0, 0, 320, 460);
  
    self.view = mapView;
    
    functionBar = [[UIToolbar alloc]initWithFrame:CGRectMake(0, 416, 320, 44)];
    [self.view addSubview:functionBar];
    
    [myMapView removeAnnotations:myMapView.annotations];
    [myMapView removeOverlays:myMapView.overlays];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}
-(void)viewWillAppear:(BOOL)animated
{
    self.navigationController.navigationBar.barStyle = UIBarStyleBlackTranslucent;
	[[UIApplication sharedApplication] setStatusBarStyle:UIStatusBarStyleBlackTranslucent animated:YES];
}
-(void)viewDidDisappear:(BOOL)animated
{
    
}
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
