//
//  MapViewPanController.m
//  MBMapDemo
//
//  Created by 张嘉伟 on 11-10-12.
//  Copyright (c) 2011年 __MyCompanyName__. All rights reserved.
//

#import "MapViewPanController.h"

@implementation MapViewPanController

-(void)viewDidLoad
{
    [super viewDidLoad];
    
    _panButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    _panButton.frame = CGRectMake(10, 50, 50, 30);
    [_panButton setTitle:@"移动" forState:UIControlStateNormal];
    [_panButton addTarget:self action:@selector(panning) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:_panButton];    
    
}
-(void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    
    _panButton.hidden = NO;
}
-(void)viewDidDisappear:(BOOL)animated
{ 
    [super viewDidDisappear:animated];
    
    _panButton.hidden = YES;
}
-(void)dealloc
{
    [_panButton release];
    [super dealloc];
}
-(void)panning
{
    MapView *myMapView = self.mapView;
    CLLocationCoordinate2D mapCenter = myMapView.centerCoordinate;
    mapCenter = [myMapView convertPoint:
                 CGPointMake(1, (myMapView.frame.size.height/2.0))
                   toCoordinateFromView:myMapView];
    [myMapView setCenterCoordinate:mapCenter animated:YES];
}

@end
