//
//  SearchViewController.h
//  MBMapDemo
//
//  Created by 张嘉伟 on 11-10-19.
//  Copyright (c) 2011年 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MapView.h"
#import "MBSearch.h"

@interface SearchViewController : UIViewController <UISearchBarDelegate, UISearchDisplayDelegate, UITableViewDelegate, UITableViewDataSource, MBSearchDelegate, MBMapViewDelegate>
{
    MapView *_mapView;
    MBSearch *_search;

    NSMutableArray *_suggests;
    NSMutableArray *_results;
    UISearchBar *_searchbar;
    UIView *_directionsView;
    UISearchBar *originTextField;
    UISearchBar *destinationTextField;
    
    UISegmentedControl *functionSegment;
    UISearchDisplayController *searchDisplayController0;
    UISearchDisplayController *searchDisplayController1;
    UISearchDisplayController *searchDisplayController2;
    CLLocationCoordinate2D origin;
    CLLocationCoordinate2D destination;

}
@property(nonatomic, readwrite) UIBarStyle barStyle;
@property(nonatomic, readwrite) UIStatusBarStyle statusStyle;
@property(nonatomic ,retain) UIToolbar *functionBar;
@property(nonatomic, readwrite, copy) NSString *demoInfo;

@end
