//
//  MapView.m
//  MBMapDemo
//
//  Created by 张嘉伟 on 11-10-12.
//  Copyright (c) 2011年 __MyCompanyName__. All rights reserved.
//

#import "MapView.h"

@implementation MapView

static MapView *sharedInstance = nil;

-(id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame withLocal:YES];
    sharedInstance = self;
    if (!self) {
        return nil;
    }
    else{
        return self;
    }
}

+(MapView *)sharedMapView
{
    @synchronized(self) 
    {
        if (sharedInstance == nil) 
        {
            sharedInstance = [[self alloc] initWithFrame:CGRectZero];
        }
    }
    return sharedInstance;
}

-(void)removeFromSuperview
{
    [super removeFromSuperview];
}
@end
